# Generated from rails_shepherd-2.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rails_shepherd

Name: rubygem-%{gem_name}
Version: 2.0.0
Release: 1%{?dist}
Summary: rails_shepherd wraps the Shepherd JavaScript library so that it can easily be included in Rails
License: MIT
URL: https://github.com/jcserracampos/rails_shepherd
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rails) >= 2.3
# BuildRequires: rubygem(rails) < 3
# BuildRequires: rubygem(rails) >= 2.3.11
BuildArch: noarch

%description
rails_shepherd wraps the Shepherd JavaScript library so that it can easily be
included in Rails.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 2.0.0-1
- Initial package
